Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451298 (purple-msn-pecan)

Summary: Review Request: purple-msn-pecan - Alternative MSN protocol plugin for libpurple
Product: [Fedora] Fedora Reporter: Edouard Bourguignon <madko>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: erik-fedora, fedora-package-review, felipe.contreras, itamar, mtasaka, musuruan, notting, susi.lehtola
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 484644 (view as bug list) Environment:
Last Closed: 2009-01-30 14:55:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Edouard Bourguignon 2008-06-13 18:54:32 UTC
Spec URL: http://www.linuxed.net/~madko/fedora/pidgin-msn-pecan.spec
SRPM URL: http://www.linuxed.net/~madko/fedora/pidgin-msn-pecan-0.0.13-1.fc9.src.rpm
Description: msn-pecan is a pidgin plugin adding extra fixtures to enhance the msn protocole.

Features include:

    * Support for personal messages
    * Server-side storage for display names (private alias)
    * Partial direct connection support
    * Improved network IO
    * Improved error handling
    * Network issues tested with netem
    * GObject usage 

more info http://code.google.com/p/msn-pecan/

Comment 1 Jason Tibbitts 2008-06-21 21:31:34 UTC
I don't see anything matching your name, so I'm going to make the assumption
that you need a sponsor and set things appropriately. 
http://fedoraproject.org/wiki/PackageMaintainers/Join has more info.

If I'm incorrect, please excuse me and remove the blocker.

Comment 2 Edouard Bourguignon 2008-08-08 07:23:18 UTC
I try to get sponsored but someone told be that my package need to be approved first. Is that correct?

Comment 3 Andrea Musuruane 2008-08-08 08:17:00 UTC
(In reply to comment #2)
> I try to get sponsored but someone told be that my package need to be approved
> first. Is that correct?

No. You cannot have a package approved if you are not sponsored. The process is described here:

http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Comment 4 Erik van Pienbroek 2008-12-23 21:26:41 UTC
Edouard, I've seen you still haven't created an account in the Fedora Account System yet. Without it, nobody is going to review this package for you and approve sponsorship. Instructions to create an account can be found at http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

If you don't want to be a package maintainer in Fedora any more, please let us know. I'm interested in maintaining this package if necessary.

Comment 5 Edouard Bourguignon 2008-12-24 07:25:40 UTC
I already do have an account, my login is "madko". I'm just trying to log in but it says that my password has expired so i'm waiting for the reset password email... I guess you don't find my account because i haven't filled any details on it?

Comment 6 Edouard Bourguignon 2008-12-24 10:59:47 UTC
I can't change my password:

----------------------------
500 Internal error

The server encountered an unexpected condition which prevented it from fulfilling the request.
----------------------------

from https://admin.fedoraproject.org/accounts/user/setnewpass/

Comment 7 Felipe Contreras 2008-12-29 18:58:37 UTC
I'm the main author and I'm interested in this.

If you need anything just let me know.

Comment 8 Itamar Reis Peixoto 2008-12-29 19:07:13 UTC
(In reply to comment #7)
> I'm the main author and I'm interested in this.
> 
> If you need anything just let me know.

Do you already have a fedora account ?

http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

Comment 9 Itamar Reis Peixoto 2009-01-12 13:46:51 UTC
(In reply to comment #5)
> I already do have an account, my login is "madko". I'm just trying to log in
> but it says that my password has expired so i'm waiting for the reset password
> email... I guess you don't find my account because i haven't filled any details
> on it?

well

to get sponsored first you need to join the "Fedora Packager CVS Commit Group (packager)"

at the flowing link.

https://admin.fedoraproject.org/accounts/group/view/packager

Can you do this as soon as possible ?

after you join the packager's group then I will get your account sponsored and your package reviewed :-)

Comment 10 Itamar Reis Peixoto 2009-01-12 14:46:29 UTC
(In reply to comment #6)
> I can't change my password:
> 
> ----------------------------
> 500 Internal error
> 
> The server encountered an unexpected condition which prevented it from
> fulfilling the request.
> ----------------------------
> 
> from https://admin.fedoraproject.org/accounts/user/setnewpass/


your password has been mailed to you.


https://fedorahosted.org/fas/ticket/84

Comment 11 Susi Lehtola 2009-01-12 18:32:08 UTC
I see you have updated the SPEC & SRPM.

This plugin should be named purple-msn-pecan instead of pidgin-msn-pecan, since it's a plugin for libpurple (not pidgin); also other existing libpurple plugins have been named in a similar fashion:

purple-facebookchat.x86_64 : Libpurple plug-in supporting facebook IM
purple-microblog.x86_64 : Libpurple plug-in supporting microblog services like Twitter

Comment 12 Edouard Bourguignon 2009-01-12 19:41:46 UTC
Ok I will change that. thanks for the info

Comment 14 Susi Lehtola 2009-01-14 09:25:38 UTC
Also, drop the
 Requires: pidgin >= 2.0.0
line, since one can use the plugin with any piece of software that uses libpurple.

After that the package is IMHO good to go, you just need to get sponsored by someone.

Comment 15 Edouard Bourguignon 2009-01-15 07:10:56 UTC
Ok the Requires pidgin has been droped
Now I'm just waiting to get sponsored, I think it's on the way

Comment 16 Mamoru TASAKA 2009-01-18 15:05:00 UTC
Well, for 0.0.17-1:

* Macros
  - Please use macros consistently for cosmetic issue.
    As you defined %{realname} macro, it is preferred that
    you use this macro also for Name: item.

* License
  - The license tag for this package should be "GPLv2+".

* Make build.log more verbose
  - build.log shows:
--------------------------------------------------------------
    36  + make -j4
    37  [CC] msn.o
    38  [CC] nexus.o
    39  [CC] notification.o
    40  [CC] page.o
    41  [CC] session.o
    42  [CC] switchboard.o
--------------------------------------------------------------
    This is not useful. For example we cannot check from these
    messages if Fedora specific compiler flags (see below)
    are correctly honored.

* Compiler flags / debuginfo rpm
  https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
  - And actually Fedora specific compiler flags are not correctly
    honored currently. You can check what compiler flags should be
    passed by
    $ rpm --eval %optflags

    Currently, on i386:
-------------------------------------------------------------
+ make -j2 V=1
gcc -O2 -Wall  -I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -D PLUGIN_NAME='msn-pecan' -DPECAN_CVR -DPECAN_DEBUG_SLP -fPIC -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I./fix_purple -D VERSION='"0.0.17"' -MMD -o msn.o -c msn.c
gcc -O2 -Wall  -I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -D PLUGIN_NAME='msn-pecan' -DPECAN_CVR -DPECAN_DEBUG_SLP -fPIC -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I./fix_purple -D VERSION='"0.0.17"' -MMD -o nexus.o -c nexus.c
-------------------------------------------------------------
    while,
-------------------------------------------------------------
$ rpm --eval %optflags
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
-------------------------------------------------------------
   - Also, as a result the created debuginfo rpm contains no debugging
     information.

* gettext files
  - It seems that po/ directory contains many gettext .po files.
    Would you explain why you don't compile these files by msgfmt
    (in gettext rpm) and install the created .mo files?

* Test program
  - This tarball contains some files under tests/ directory.
    If some test programs can be executed, add %check section
    and write the programs in %check section.

* Documents
  - Also add the following file(s) to %doc.
------------------------------------------------------------
AUTHORS
COPYING
(TODO)
------------------------------------------------------------

By the way, please change the release number every time
you modify your spec file to avoid confusion.

Comment 17 Edouard Bourguignon 2009-01-18 21:28:05 UTC
In 0.0.17-3:
* The realname macro is now also used in Name item
* License has been changed to GPLv2+
* Build.log has been made more verbose by adding make flags V=1 DEBUG=1
* Translation is now packaged, .mo files are created and installed
* Check section added
* Missing documents have been added
* Release number changed

thanks

Comment 18 Edouard Bourguignon 2009-01-18 21:45:23 UTC
Sorry, I forget the links

The .spec is here:
http://www.linuxed.net/~madko/fedora/purple-msn-pecan.spec
And the srpm:
http://www.linuxed.net/~madko/fedora/purple-msn-pecan-0.0.17-3.fc10.src.rpm

Comment 19 Susi Lehtola 2009-01-18 22:31:21 UTC
Change the build line to

make CFLAGS="%{optflags}" %{?_smp_mflags} V=1 DEBUG=1

That way the Fedora compiler flags are correctly used.

Comment 20 Felipe Contreras 2009-01-19 00:28:06 UTC
DEBUG=1 just adds -ggdb to the CFLAGS. If you want to use fedora CFLAGS I suggest you remove DEBUG=1.

And maybe V=yes is more understandable.

Comment 21 Itamar Reis Peixoto 2009-01-19 02:00:09 UTC
also fix this issue with rpmlint

rpmlint /usr/src/redhat/SRPMS/purple-msn-pecan-0.0.17-3.fc9.src.rpm

purple-msn-pecan.src: W: mixed-use-of-spaces-and-tabs (spaces: line 23, tab: line 1)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 22 Edouard Bourguignon 2009-01-19 07:56:08 UTC
In 0.0.17-4:
* Build line changed, DEBUG=1 removed
* V=1 changed to V=yes
* Spaces removed in the description, using tabs everywhere (rpmlint ok)

Here are the links:
http://www.linuxed.net/~madko/fedora/purple-msn-pecan.spec
http://www.linuxed.net/~madko/fedora/purple-msn-pecan-0.0.17-4.fc10.src.rpm

Comment 23 Itamar Reis Peixoto 2009-01-19 11:35:28 UTC
now seems to be good.

koji scratch build.


http://koji.fedoraproject.org/koji/taskinfo?taskID=1065827

Comment 24 Mamoru TASAKA 2009-01-19 17:57:23 UTC
Okay, now this pacakge itself is good. So:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 25 Edouard Bourguignon 2009-01-22 15:47:39 UTC
I've just submited a review on Bug 477979

Comment 26 Edouard Bourguignon 2009-01-22 16:07:36 UTC
I've also submitted a new review request (Bug 481173)

Comment 27 Mamoru TASAKA 2009-01-23 16:32:05 UTC
Okay

- This package itself is good
- Your pre-review seems good for initial comments
- Your another review request (bug 481173) is good to some extent
  (I wrote some comments)

------------------------------------------------------------
   This package (purple-msn-pecan) is APPROVED by mtasaka
------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.

Comment 28 Edouard Bourguignon 2009-01-25 16:30:06 UTC
New Package CVS Request
=======================
Package Name: purple-msn-pecan
Short Description: msn-pecan is a pidgin plugin adding extra fixtures to enhance the msn protocole.
Owners: itamarjp madko
Branches: F-10 F-9
InitialCC:

Comment 29 Edouard Bourguignon 2009-01-25 16:44:43 UTC
New Package CVS Request
=======================
Package Name: purple-msn-pecan
Short Description: Alternative MSN protocol plugin for libpurple
Owners: itamarjp madko
Branches: F-10 F-9
InitialCC:

Comment 30 Kevin Fenzi 2009-01-26 22:52:53 UTC
cvs done.

Comment 31 Edouard Bourguignon 2009-01-27 08:09:06 UTC
Thank you

Comment 32 Fedora Update System 2009-01-29 23:00:08 UTC
purple-msn-pecan-0.0.17-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update purple-msn-pecan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1063

Comment 33 Fedora Update System 2009-01-29 23:00:18 UTC
purple-msn-pecan-0.0.17-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update purple-msn-pecan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1065

Comment 34 Mamoru TASAKA 2009-01-30 14:55:22 UTC
Closing.

Comment 35 Fedora Update System 2009-02-05 02:17:03 UTC
purple-msn-pecan-0.0.17-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.